# Uses of Interface
org.eclipse.core.variables.IStringVariable

Packages that use IStringVariable
Package
Description
org.eclipse.core.variables
Provides support for defining and contributing variables for the purpose of string substitution.
org.eclipse.debug.ui.stringsubstitution
Provides an interface to select an argument for a string substitution variable.

## Uses of IStringVariable in org.eclipse.core.variables

Subinterfaces of IStringVariable in org.eclipse.core.variables
Modifier and Type
Interface
Description
`interface`
`IDynamicVariable`
A dynamic variable is a variable whose value is computed dynamically by a resolver at the time a string substitution is performed.
`interface`
`IValueVariable`
A variable with a value that can be set and retrieved.
Methods in org.eclipse.core.variables that return IStringVariable
Modifier and Type
Method
Description
`IStringVariable[]`
IStringVariableManager.`getVariables()`
Returns all registered variables.
Methods in org.eclipse.core.variables with parameters of type IStringVariable
Modifier and Type
Method
Description
`String`
IStringVariableManager.`getContributingPluginId(IStringVariable variable)`
Returns the plug-in identifier of the plug-in that contributed the given variable via extension or `null` if the given variable wasn't contributed via extension.

## Uses of IStringVariable in org.eclipse.debug.ui.stringsubstitution

Methods in org.eclipse.debug.ui.stringsubstitution with parameters of type IStringVariable
Modifier and Type
Method
Description
`String`
IArgumentSelector.`selectArgument(IStringVariable variable, Shell shell)`
Selects and returns an argument for the given variable, or `null` if none.